<!DOCTYPE html>
<!--
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
     KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
-->
<html>
    <head>
        <!--
        Customize this policy to fit your own app's needs. For more guidance, see:
            https://github.com/apache/cordova-plugin-whitelist/blob/master/README.md#content-security-policy
        Some notes:
            * gap: is required only on iOS (when using UIWebView) and is needed for JS->native communication
            * https://ssl.gstatic.com is required only on Android and is needed for TalkBack to function properly
            * Disables use of inline scripts in order to mitigate risk of XSS vulnerabilities. To change this:
                * Enable inline JS: add 'unsafe-inline' to default-src
        
        <meta http-equiv="Content-Security-Policy" content="default-src 'self' data: gap: https://ssl.gstatic.com 'unsafe-eval'; style-src 'self' 'unsafe-inline'; media-src *; img-src 'self' data: content:;">
        --><meta name="format-detection" content="telephone=no">
        <meta name="msapplication-tap-highlight" content="no">
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width">
        	
		<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
		<link rel="stylesheet" type="text/css" href="css/bootstrap-theme.min.css">
		<link rel="stylesheet" type="text/css" href="css/custom.css">
		<script type="text/javascript" src="js/jquery.min.js"></script>
		<script type="text/javascript" src="js/bootstrap.min.js"></script>
		<title>C.O.J.</title>
    </head>
    <body class="body">
        <div id="login-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header" align="center">
						<img id="img_logo" src="img/logo-coj.png" width="280px">
					</div>					
					<!-- Begin # DIV Form -->
					<div id="div-forms">					
						<!-- Begin # Login Form -->
						<form id="login-form">
							<div class="modal-body">
								<div id="div-login-msg">
									<div id="icon-login-msg" class="glyphicon glyphicon-chevron-right"></div>
									<span id="text-login-msg">Ingrese username y password.</span>
								</div>
								<!--Begin # Bar Progess for Login-->
								<div id="progress-bar" class="progress" style="display:none;">
									<div class="progress-bar progress-bar-success progress-bar-striped active" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width:80%">
										Conectando ...
									 </div>
								</div>
								<!--End # Bar Progess for Login-->								
								<input id="login_username" class="form-control" type="text" placeholder="Username ..." required>
								<input id="login_password" class="form-control" type="password" placeholder="Password ..." required>
							</div>
							<div class="modal-footer">
								<div>
									<button type="submit" class="btn btn-success btn-lg btn-block">Login</button>
								</div>
							</div>
						</form>
						<!-- End # Login Form -->
					</div>
					<!-- End # DIV Form -->					
				</div>
			</div>
		</div>		
        <script type="text/javascript" src="cordova.js"></script>		
        <script type="text/javascript" src="js/index.js"></script>
		<script type="text/javascript">		
		$(function() {			
			var $formLogin = $('#login-form');
			var $divForms = $('#div-forms');
			var $modalAnimateTime = 300;
			var $msgAnimateTime = 150;
			var $msgShowTime = 2000;

			$("form").submit(function () 
			{
				switch(this.id) {
					case "login-form":
						var $lg_username=$('#login_username').val();
						var $lg_password=$('#login_password').val();
						
						if ($lg_username == "ERROR") 
						{
							msgChange($('#div-login-msg'), $('#icon-login-msg'), $('#text-login-msg'), "error", "glyphicon-remove", "Login error");
						} 
						else 
						{
							/************************************ Begin # Login *********************************************************************/
							var sql="select * from cfg_usuarios_web where username='"+$lg_username+"' and password='"+$lg_password+"' "
							SqlServer.executeQuery(sql, function(event) 
							{
								if(event!=null && event!=undefined && event!="")
								{
								  var responseLogin=JSON.stringify(event);
								  var dataUser=JSON.parse(responseLogin);
								  window.sessionStorage.setItem("idUsuario",dataUser[0].id_usuario)
								  window.sessionStorage.setItem("nombreUsuario",dataUser[0].nombre)
								  
								  msgChange($('#div-login-msg'), $('#icon-login-msg'), $('#text-login-msg'), "success", "glyphicon-ok", "Login OK");
								  location.href="inicio.html"
								}
								else
								{
									msgChange($('#div-login-msg'), $('#icon-login-msg'), $('#text-login-msg'), "error", "glyphicon-remove", "Login error");
								}
							}, function(error) 
							{
							  alert("Error : " + JSON.stringify(error));
							  msgChange($('#div-login-msg'), $('#icon-login-msg'), $('#text-login-msg'), "error", "glyphicon-remove", "Login error");
							});
							/************************************ End # Login *********************************************************************/
						}
						return false;
						break;					
					default:
						return false;
				}
				return false;
			});
			
			function msgFade ($msgId, $msgText) {
				$msgId.fadeOut($msgAnimateTime, function() {
					$(this).text($msgText).fadeIn($msgAnimateTime);
				});
			}
			
			function msgChange($divTag, $iconTag, $textTag, $divClass, $iconClass, $msgText) {
				var $msgOld = $divTag.text();
				msgFade($textTag, $msgText);
				$divTag.addClass($divClass);
				$iconTag.removeClass("glyphicon-chevron-right");
				$iconTag.addClass($iconClass + " " + $divClass);
				setTimeout(function() {
					msgFade($textTag, $msgOld);
					$divTag.removeClass($divClass);
					$iconTag.addClass("glyphicon-chevron-right");
					$iconTag.removeClass($iconClass + " " + $divClass);
				}, $msgShowTime);
			}
		});
		document.getElementById("login_username").focus();
	</script>
		
    </body>
</html>
